### A free/open-source library for quantitative finance

Public Member Functions
OvernightIndexedCoupon Class Reference

overnight coupon More...

`#include <ql/cashflows/overnightindexedcoupon.hpp>`

Inheritance diagram for OvernightIndexedCoupon:
[legend]

List of all members.

## Public Member Functions

| OvernightIndexedCoupon (const Date &paymentDate, Real nominal, const Date &startDate, const Date &endDate, const boost::shared_ptr< OvernightIndex > &overnightIndex, Real gearing=1.0, Spread spread=0.0, const Date &refPeriodStart=Date(), const Date &refPeriodEnd=Date(), const DayCounter &dayCounter=DayCounter())
Inspectors
const std::vector< Date > & | fixingDates () const
| fixing dates for the rates to be compounded
const std::vector< Time > & | dt () const
| accrual (compounding) periods
const std::vector< Rate > & | indexFixings () const
| fixings to be compounded
const std::vector< Date > & | valueDates () const
| value dates for the rates to be compounded
FloatingRateCoupon interface
Date | fixingDate () const
| the date when the coupon is fully determined
Visitability
void | accept (AcyclicVisitor &)

## Detailed Description

overnight coupon

Coupon paying the compounded interest due to daily overnight fixings.